#include <iostream>
#include <iomanip>

using namespace std;

double max(double br1, double br2){

								  double m=br1;
								  if(br2>m)m=br2;
								  return m;
								  
								  }

int main(){
			long N;
			cin>>N;
			long A[N]={}; 
			double P[N]={}, value[N]={}, ff;
			for(int i=1; i<=N; i++){
										cin>>A[i]>>P[i];
								   }
			for(int i=1; i<=N; i++){
										value[i]=0;
										for(int n=1; n<=N; n++){
															   		if(P[i]<=P[n]) value[i]+=A[n]*P[i]/100;
															   } 
								   }
			for(int y=2; y<=N; y++){
										ff=max(value[y-1], value[y]);
								   }
			std::cout<<std::setprecision(4)<<std::fixed<<ff<<std::endl;
			return 0;
		  }